package environment.event;

import java.util.EventObject;

/**
 * Event that is created by a Timer if a timeout has occurred (i.e. the
 * timer has expired). Contains the source object for this event and
 * the instance name of this object.
 *
 * @author Andreas Metzger
 * @version 1.0
 */

public class TimerEvent extends NamedEventObject {

	/** Constructor for event object.
	 * @param source The source object (usually the object the event originated from).
	 */
	public TimerEvent(Object source, String name) {
		super(source, name);
	}
}
